package org.keyscience.models;

import org.keyscience.R;
import org.keyscience.app.Constants;

import java.util.ArrayList;

public class CspLabModel {
    public String getTitle() {
        return title;
    }

    public int getImage() {
        return image;
    }

    private String title;
    private int image;

    private CspLabModel(String name, int image) {
        this.title = name;
        this.image = image;
    }

    public static ArrayList<CspLabModel> getData() {

        ArrayList<CspLabModel> data = new ArrayList<>();
        int[] images = getImages();
        String[] names = getNames();
        for (int i = 0; i < images.length; i++) {
            data.add(new CspLabModel(names[i], images[i]));
        }
        return data;
    }

    private static String[] getNames() {

        return new String[]{Constants.CSP_LEARN, Constants.CSP_EXPLORE, Constants.CSP_RECORD, Constants.CSP_REVIEW};
    }

    private static int[] getImages() {
        return new int[]{R.drawable.lab_learn, R.drawable.lab_explore, R.drawable.lab_record, R.drawable.lab_review};
    }


}
